/ api / name / gb.count
GB.Count
Syntax

    long GB.Count ( void *array )

Returns the number of elements in an array.

- array points at the array data.

| The parameter is a direct pointer to the data. It is not the same parameter syntax than GB.NewArray, GB.FreeArray and GB.Add.

### Examples

    /* Creates and delete an array of integers with n slots and gets its number of elements */

    int *array;
    long count;

    GB.NewArray((void *)&array, sizeof(*array), n);
    count = GB.Count(array);

### See also

Memory Arrays Management